/*
  elot927.c.  Produce a table of ELOT 927.
  F. da Cruz, Columbia University, 1997.
*/
char *name[] = {
    "SPACE",
    "EXCLAMATION MARK",
    "QUOTATION MARK",
    "NUMBER SIGN",
    "DOLLAR SIGN",
    "PERCENT SIGN",
    "AMPERSAND",
    "APOSTROPHE",
    "LEFT PARENTHESIS",
    "RIGHT PARENTHESIS",
    "ASTERISK",
    "PLUS SIGN",
    "COMMA",
    "HYPHEN, MINUS SIGN",
    "PERIOD, FULL STOP",
    "SOLIDUS, SLASH",
    "DIGIT ZERO",
    "DIGIT ONE",
    "DIGIT TWO",
    "DIGIT THREE",
    "DIGIT FOUR",
    "DIGIT FIVE",
    "DIGIT SIX",
    "DIGIT SEVEN",
    "DIGIT EIGHT",
    "DIGIT NINE",
    "COLON",
    "SEMICOLON",
    "LESS-THAN SIGN, LEFT ANGLE BRACKET",
    "EQUALS SIGN",
    "GREATER-THAN SIGN, RIGHT ANGLE BRACKET",
    "QUESTION MARK",
    "COMMERCIAL AT SIGN",
    "CAPITAL ROMAN LETTER A",
    "CAPITAL ROMAN LETTER B",
    "CAPITAL ROMAN LETTER C",
    "CAPITAL ROMAN LETTER D",
    "CAPITAL ROMAN LETTER E",
    "CAPITAL ROMAN LETTER F",
    "CAPITAL ROMAN LETTER G",
    "CAPITAL ROMAN LETTER H",
    "CAPITAL ROMAN LETTER I",
    "CAPITAL ROMAN LETTER J",
    "CAPITAL ROMAN LETTER K",
    "CAPITAL ROMAN LETTER L",
    "CAPITAL ROMAN LETTER M",
    "CAPITAL ROMAN LETTER N",
    "CAPITAL ROMAN LETTER O",
    "CAPITAL ROMAN LETTER P",
    "CAPITAL ROMAN LETTER Q",
    "CAPITAL ROMAN LETTER R",
    "CAPITAL ROMAN LETTER S",
    "CAPITAL ROMAN LETTER T",
    "CAPITAL ROMAN LETTER U",
    "CAPITAL ROMAN LETTER V",
    "CAPITAL ROMAN LETTER W",
    "CAPITAL ROMAN LETTER X",
    "CAPITAL ROMAN LETTER Y",
    "CAPITAL ROMAN LETTER Z",
    "LEFT SQUARE BRACKET",
    "REVERSE SOLIDUS, BACKSLASH",
    "RIGHT SQUARE BRACKET",
    "CIRCUMFLEX ACCENT",
    "UNDERSCORE",
    "ACCENT GRAVE",
    "CAPITAL GREEK LETTER ALPHA",
    "CAPITAL GREEK LETTER BETA",
    "CAPITAL GREEK LETTER GAMMA",
    "CAPITAL GREEK LETTER DELTA",
    "CAPITAL GREEK LETTER EPSILON",
    "CAPITAL GREEK LETTER ZETA",
    "CAPITAL GREEK LETTER ETA",
    "CAPITAL GREEK LETTER THETA",
    "CAPITAL GREEK LETTER IOTA",
    "CAPITAL GREEK LETTER KAPPA",
    "CAPITAL GREEK LETTER LAMDA",
    "CAPITAL GREEK LETTER MU",
    "CAPITAL GREEK LETTER NU",
    "CAPITAL GREEK LETTER KSI",
    "CAPITAL GREEK LETTER OMICRON",
    "CAPITAL GREEK LETTER PI",
    "CAPITAL GREEK LETTER RHO",
    "CAPITAL GREEK LETTER SIGMA",
    "CAPITAL GREEK LETTER TAU",
    "CAPITAL GREEK LETTER UPSILON",
    "CAPITAL GREEK LETTER FI",
    "CAPITAL GREEK LETTER XI",
    "CAPITAL GREEK LETTER PSI",
    "CAPITAL GREEK LETTER OMEGA",
    "SPACE",
    "SPACE",
    "LEFT CURLY BRACKET, LEFT BRACE",
    "VERTICAL LINE, VERTICAL BAR",
    "RIGHT CURLY BRACKET, RIGHT BRACE",
    "TILDE",
    "RUBOUT, DELETE"
};


main() {
    int i, j;
    char c;

    printf("ELOT 927 7-Bit Greek Character Set\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 32; i < 128; i++) {
	j = i - 32;
	c = (i == 127) ? 32 : i;
	printf("(%c)  %3d  %02d/%02d  %3o  %2X  %s\n",
	       c, i, i/16, i%16, i, i, name[j]);
    }
}
