/*
  hproman8.c.  Produce a table of the Hewlett Packard Roman8 character set.
  F. da Cruz, Columbia University, 1993.
*/
char *name[] = {
   "(Undefined)",
   "A grave",
   "A circumflex",
   "E grave",
   "E circumflex",
   "E diaeresis",
   "I circumflex",
   "I diaeresis",
   "Acute accent",
   "Grave accent",
   "Circumflex accent",
   "Diaeresis",
   "Tilde accent",
   "U grave",
   "U circumflex",
   "Lira symbol",
   "Top bar (macron)",
   "Y acute",
   "y acute",
   "Degree Sign",
   "C cedilla",
   "c cedilla",
   "N tilde",
   "n tilde",
   "Inverted exclamation mark",
   "Inverted question mark",
   "Currency symbol",
   "Pound sterling symbol",
   "Yen symbol",
   "Paragraph",
   "Florin (Guilder) symbol",
   "Cent symbol",
   "a circumflex",
   "e circumflex",
   "o circumflex",
   "u circumflex",
   "a acute",
   "e acute",
   "o acute",
   "u acute",
   "a grave",
   "e grave",
   "o grave",
   "u grave",
   "a diaeresis",
   "e diaeresis",
   "o diaeresis",
   "u diaeresis",
   "A ring",
   "i circumflex",
   "O with stroke",
   "AE digraph",
   "a ring",
   "i acute",
   "o with stroke",
   "ae digraph",
   "A diaeresis",
   "i grave",
   "O diaeresis",
   "U diaeresis",
   "E acute",
   "i diaeresis",
   "German sharp s",
   "O circumflex",
   "A acute",
   "A tilde",
   "a tilde",
   "Icelandic Eth",
   "Icelandic eth",
   "I acute",
   "I grave",
   "O acute",
   "O grave",
   "O tilde",
   "o tilde",
   "S caron",
   "s caron",
   "U acute",
   "Y diaeresis",
   "y diaeresis",
   "Icelandic Thorn",
   "Icelandic thorn",
   "Middle dot",
   "Greek mu",
   "Pilcrow sign",
   "Fraction 3/4",
   "Long dash, horizontal bar",
   "Fraction 1/4",
   "Fraction 1/2",
   "Feminine ordinal",
   "Masculine ordinal",
   "Left guillemot",
   "Solid box",
   "Right guillemot",
   "Plus or minus sign",
   "(Undefined)"
};

main() {
    int i, j;
    printf("Hewlett Packard Roman8 Character Set\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 160; i < 256; i++) {
	j = i - 160;
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[j]);
    }
}
